tbb::interface7::internal::delegate_base Class Referenceabstract

`#include <task_arena.h>`

Inheritance diagram for tbb::interface7::internal::delegate_base:
Collaboration diagram for tbb::interface7::internal::delegate_base:

## Public Member Functions

virtual void | operator() () const =0
virtual | ~delegate_base ()

## Additional Inherited Members

Private Member Functions inherited from tbb::internal::no_assign
void | operator= (const no_assign &)=delete
| no_assign (const no_assign &)=default
| no_assign ()=default

## Detailed Description

Definition at line 56 of file task_arena.h.

## Constructor & Destructor Documentation

## ~delegate_base()

virtual tbb::interface7::internal::delegate_base::~delegate_base | ( |  | ) |

inline virtual

Definition at line 59 of file task_arena.h.

{}

## Member Function Documentation

## operator()()

virtual void tbb::interface7::internal::delegate_base::operator() | ( |  | ) | const

pure virtual

Implemented in tbb::interface7::internal::delegated_function< F, void >, and tbb::interface7::internal::delegated_function< F, R >.

The documentation for this class was generated from the following file:

- task_arena.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.